package com.heyu.api.data.dao.vv;
/**
* <p>
* 类目和sku的对应关系 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-20
*/

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.heyu.api.data.entity.vv.VvCategoryPropertyEntity;
import com.lz.mybatis.plugin.annotations.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvCategoryPropertyDao extends BaseMapper<VvCategoryPropertyEntity> {


	VvCategoryPropertyEntity selectVvCategoryPropertyById(@Param("id")Long id);




	Long insertVvCategoryProperty(VvCategoryPropertyEntity vvCategoryProperty);


	Long insertOrUpdateVvCategoryProperty(VvCategoryPropertyEntity vvCategoryProperty);


	int updateVvCategoryPropertyById(VvCategoryPropertyEntity vvCategoryProperty);


	int updateCoverVvCategoryPropertyById(VvCategoryPropertyEntity vvCategoryProperty);



    @Realy
	int deleteVvCategoryPropertyById(@Param("id") Long id);



	@OrderBy(value={VvCategoryPropertyEntity.default_sort}, type={OrderType.ASC})
	List<VvCategoryPropertyEntity> selectVvProperByCondition(IPage page,
															 @IF @LIKE String propertyName,
															 @IF @LIKE String categoryName,
															 @IF Long categoryId);



	@OrderBy(value={VvCategoryPropertyEntity.default_sort}, type={OrderType.ASC})
	List<VvCategoryPropertyEntity> selectVvPropertyByIds(@IN List<Long> id);





    @OrderBy(value={VvCategoryPropertyEntity.default_sort}, type={OrderType.ASC})
    List<VvCategoryPropertyEntity> selectVvPropertyByCategoryId(Long categoryId);








}